import { IQueue } from "aws-cdk-lib/aws-sqs";
import { BaseMetricFactory, BaseMetricFactoryProps, MetricFactory } from "../../common";
export interface SqsQueueMetricFactoryProps extends BaseMetricFactoryProps {
    readonly queue: IQueue;
}
export declare class SqsQueueMetricFactory extends BaseMetricFactory<SqsQueueMetricFactoryProps> {
    protected readonly queue: IQueue;
    constructor(metricFactory: MetricFactory, props: SqsQueueMetricFactoryProps);
    metricApproximateVisibleMessageCount(): import("../../common").MetricWithAlarmSupport;
    metricIncomingMessageCount(): import("../../common").MetricWithAlarmSupport;
    metricDeletedMessageCount(): import("../../common").MetricWithAlarmSupport;
    metricApproximateAgeOfOldestMessageInSeconds(): import("../../common").MetricWithAlarmSupport;
    metricAverageMessageSizeInBytes(): import("../../common").MetricWithAlarmSupport;
    metricProductionRate(): import("../../common").MetricWithAlarmSupport;
    metricConsumptionRate(): import("../../common").MetricWithAlarmSupport;
    metricTimeToDrain(): import("../../common").MetricWithAlarmSupport;
}
